Index: emacs/.emacs.d/.emacs-config.org
===================================================================
--- emacs/.emacs.d/.emacs-config.org	(revision 733c9a0676d23f58e5c940fd664e93e67bf46e43)
+++ emacs/.emacs.d/.emacs-config.org	(revision 0d11196acc2d87a368c95ba3ea687be2d5066e81)
@@ -125,5 +125,5 @@
       (package-install 'auctex)
       (package-install 'rmsbolt)
-      (package-install 'beginend)
+      ;; (package-install 'beginend)
       ;; (package-install 'composer)
       (package-install 'cinspect)
@@ -140,5 +140,5 @@
       (package-install 'debbugs)
       ;;(package-install 'deft)
-      (package-install 'direnv)
+      ;; (package-install 'direnv)
       (package-install 'dumb-jump)
       (package-install 'docker)
@@ -148,25 +148,25 @@
       (package-install 'org-sql)
       ;;(package-install 'eglot)
-      (package-install 'eglot-java)
-      (package-install 'mastodon)
-      (package-install 'exec-path-from-shell)
+      ;; (package-install 'eglot-java)
+      ;; (package-install 'mastodon)
+      ;; (package-install 'exec-path-from-shell)
       (package-install 'expand-region)
-      (package-install 'flymake-php)
-      (package-install 'flycheck)
-      (package-install 'phpactor)
+      ;; (package-install 'flymake-php)
+      ;; (package-install 'flycheck)
+      ;; (package-install 'phpactor)
       ;;(package-install 'robe)
       (package-install 'geiser)
       (package-install 'geiser-guile)
       (package-install 'guix)
-      (package-install 'git-gutter)
-      (package-install 'gnuplot)
+      ;; (package-install 'git-gutter)
+      ;; (package-install 'gnuplot)
       ;;(package-install 'swiper)
       ;;(package-install 'sqlite3)
       (package-install 'org-roam)
       ;; (package-install 'org-roam-ui)
-      (package-install 'org-download)
-      (package-install 'org-babel-eval-in-repl)
+      ;; (package-install 'org-download)
+      ;; (package-install 'org-babel-eval-in-repl)
       ;;(package-install 'ob-php)
-      (package-install 'on-screen)
+      ;; (package-install 'on-screen)
       ;;(package-install 'nix-mode)
       (package-install 'pdf-tools)
@@ -182,5 +182,5 @@
       ;;(package-install 'phps-mode)
       (package-install 'realgud)
-      (package-install 'kiwix)
+      ;; (package-install 'kiwix)
       ;;(package-install 'sml-mode)
       (package-install 'sly)
@@ -189,25 +189,26 @@
       ;;(package-install 'treemacs)
       (package-install 'undo-tree)
-      (package-install 'yasnippet)
-      (package-install 'yasnippet-snippets)
-      (package-install 'vimrc-mode)
-      (package-install 'flymake-phpcs)
-      (package-install 'flymake-phpstan)
-      (package-install 'no-littering)
+      ;; (package-install 'yasnippet)
+      ;; (package-install 'yasnippet-snippets)
+      ;; (package-install 'vimrc-mode)
+      ;; (package-install 'flymake-phpcs)
+      ;; (package-install 'flymake-phpstan)
+      ;; (package-install 'no-littering)
       (package-install 'web-mode)
-      (package-install 'which-key)
-      (package-install 'reverse-im)
+      ;; (package-install 'which-key)
+      ;; (package-install 'reverse-im)
       (package-install 'imenu-list)
-      (package-install 'isearch-mb)
+      ;; (package-install 'isearch-mb)
       (package-install 'visual-fill-column)
-      (package-install 'browse-kill-ring)
-      (package-install 'corfu)
-      (package-install 'inf-ruby)
+      ;; (package-install 'browse-kill-ring)
+      ;; (package-install 'corfu)
+      ;; (package-install 'inf-ruby)
       (package-install 'yaml-mode)
-      (package-install 'geben)
+      ;; (package-install 'geben)
       (package-install 'link-hint)
       (package-install 'whole-line-or-region)
-      (package-install 'psysh)
-      (package-install 'restclient)))
+      ;; (package-install 'psysh)
+      ;; (package-install 'restclient)
+      ))
 #+end_src
 
@@ -256,5 +257,5 @@
 стал использовать, потому что иксы замыливают этот пиксельный шрифт, что
 делает его использование крайне неприятным.
-#+begin_src emacs-lisp :tangle init.el  
+#+begin_src emacs-lisp :tangle nil
   ;; Do not resize the frame at this early stage.
   (setq frame-inhibit-implied-resize t)
@@ -412,5 +413,5 @@
   ;; Information about me
   (setq user-full-name "Mikhail Kirillov"
-	user-mail-address "w96k.ru@gmail.com")
+	user-mail-address "w96k@runbox.com")
 #+END_SRC
 
@@ -445,5 +446,5 @@
 ** Назначение шрифтов
 А также отступа между строк
-#+BEGIN_SRC emacs-lisp :tangle init.el
+#+BEGIN_SRC emacs-lisp :tangle nil
   ;;; Set font
   (setq-default line-spacing 0)
@@ -463,5 +464,5 @@
   (define-key global-map
     (kbd "<f7>") 'global-display-line-numbers-mode)
-  
+
   (define-key global-map
     (kbd "<f6>") 'whitespace-mode)
@@ -470,5 +471,5 @@
 ** Скроллинг
 Помечает на время часть старого буфера при скроллинге.
-#+BEGIN_SRC emacs-lisp :tangle init.el
+#+BEGIN_SRC emacs-lisp :tangle nil
   (when (package-loaded? "on-screen")
     (on-screen-global-mode t))
@@ -566,5 +567,4 @@
 ** Файловый менеджер
 #+BEGIN_SRC emacs-lisp :tangle init.el 
-  (setq dired-async-mode t)
   ;; Show files in KiB
   (setq dired-listing-switches "-hlap"
@@ -650,5 +650,5 @@
 
 ** Better Isearch
-#+begin_src emacs-lisp :tangle init.el
+#+begin_src emacs-lisp :tangle nil
   (when (package-loaded? "isearch-mb")
     (progn
@@ -676,96 +676,5 @@
     (setq vc-command-messages t)
 
-    ;;(load "git-dwim-autoloads")
-
     (global-set-key "\C-xvB" 'git-branch-next-action)
-
-    ;; Fix for transient to behave like a normal buffer
-  ;; (with-eval-after-load 'transient
-  ;;   (setq
-  ;;    transient--buffer-name "*transient*"
-  ;;    ;; transient-detect-key-conflicts t
-  ;;    ;; transient-highlight-mismatched-keys t
-  ;;    ;; transient--debug t
-  ;;    transient-enable-popup-navigation t
-  ;;    transient-mode-line-format mode-line-format
-  ;;    transient-display-buffer-action '(display-buffer-below-selected))
-
-  ;;   (let ((map transient-base-map))
-  ;;     (define-key map (kbd "C-g") 'transient-quit-all)
-  ;;     (define-key map (kbd "C-q") 'transient-quit-one)
-  ;;     (define-key map (kbd "DEL") 'transient-quit-one))
-
-  ;;   (define-key transient-map (kbd "C-h") nil)
-
-  ;;   (let ((map transient-popup-navigation-map))
-  ;;     (define-key map (kbd "<tab>") 'transient-forward-button)
-  ;;     (define-key map (kbd "<backtab>") 'transient-backward-button ))
-
-  ;;   (transient-suffix-put 'transient-common-commands
-  ;; 			"C-g" :command 'transient-quit-all)
-  ;;   (transient-suffix-put 'transient-common-commands
-  ;; 			"C-q" :command 'transient-quit-one)
-
-  ;;   (defun al/transient-fix-window ()
-  ;;     "Return `transient--window' to a 'normal' state."
-  ;;     (set-window-dedicated-p transient--window nil)
-  ;;     (set-window-parameter transient--window 'no-other-window nil)
-  ;;     (with-selected-window transient--window
-  ;;       (setq
-  ;;        window-size-fixed nil
-  ;;        cursor-in-non-selected-windows t
-  ;;        cursor-type (default-value 'cursor-type)
-  ;;        mode-line-buffer-identification
-  ;;        (list ""
-  ;; 	     (symbol-name (oref transient--prefix command))
-  ;; 	     " " (default-value 'mode-line-buffer-identification)))))
-
-  ;;   (define-derived-mode al/transient-mode special-mode "al/transient"
-  ;;     (setq buffer-read-only nil)
-  ;;     (al/transient-fix-window))
-
-  ;;   (defun al/transient-push-keymap (map)
-  ;;     (with-demoted-errors "al/transient-push-keymap: %S"
-  ;;       (internal-push-keymap (symbol-value map) 'al/transient-mode-map)))
-
-  ;;   (defun al/transient-pop-keymap (map)
-  ;;     (with-demoted-errors "al/transient-pop-keymap: %S"
-  ;;       (internal-pop-keymap (symbol-value map) 'al/transient-mode-map)))
-
-  ;;   (defun al/transient-fix-show (&rest _)
-  ;;     (transient--debug 'al/transient-fix-show)
-  ;;     (al/transient-fix-window)
-  ;;     (select-window transient--window))
-
-  ;;   (defun al/transient-fix-init (&rest _)
-  ;;     (transient--debug 'al/transient-fix-init)
-  ;;     (with-current-buffer transient--buffer-name
-  ;;       (al/transient-mode)))
-
-  ;;   (defun al/transient-fix-pre/post-command (fun &rest args)
-  ;;     (transient--debug 'al/transient-fix-pre/post-command)
-  ;;     ;; Do anything only for transient commands.
-  ;;     (when (or (get this-command 'transient--prefix)
-  ;; 	      (string-match-p "\\`transient"
-  ;; 			      (symbol-name this-command))
-  ;; 	      (and transient--transient-map
-  ;; 		   (string= (buffer-name) transient--buffer-name)
-  ;; 		   (lookup-key transient--transient-map
-  ;; 			       (this-single-command-raw-keys))))
-  ;;       (apply fun args)))
-
-  ;;   (defun al/transient-fix-delete-window (fun &rest args)
-  ;;     (unless (eq transient--exitp 'suspend)
-  ;;       (apply fun args)))
-
-  ;;   (advice-add 'transient--minibuffer-setup :override #'ignore)
-  ;;   (advice-add 'transient--minibuffer-exit :override #'ignore)
-  ;;   (advice-add 'transient--push-keymap :override #'al/transient-push-keymap)
-  ;;   (advice-add 'transient--pop-keymap :override #'al/transient-pop-keymap)
-  ;;   (advice-add 'transient--pre-command :around #'al/transient-fix-pre/post-command)
-  ;;   (advice-add 'transient--post-command :around #'al/transient-fix-pre/post-command)
-  ;;   (advice-add 'transient--show :after #'al/transient-fix-show)
-  ;;   (advice-add 'transient--init-transient :after #'al/transient-fix-init)
-  ;;   (advice-add 'transient--delete-window :around #'al/transient-fix-delete-window))
 
     ;; Use magit only when built-in VC fails
@@ -852,9 +761,4 @@
 
 ** Подсвечивание парных скобок
-#+BEGIN_SRC emacs-lisp :tangle init.el
-  ;;; Show pair for a parenthesis
-  (show-paren-mode)
-#+END_SRC
-
 ** Ввод парных скобок и кавычек (electric)
 #+BEGIN_SRC emacs-lisp :tangle init.el
@@ -862,9 +766,9 @@
   (electric-pair-mode)
   (add-hook 'prog-mode-hook 'electric-pair-mode)
-  ;; (add-hook 'prog-mode-hook 'rainbow-identifiers-mode)
+  (add-hook 'prog-mode-hook 'rainbow-identifiers-mode)
 #+END_SRC
 
 ** Kill-ring
-#+BEGIN_SRC emacs-lisp :tangle init.el
+#+BEGIN_SRC emacs-lisp :tangle nil
   (when (package-loaded? "browse-kill-ring")  
     (define-key global-map (kbd "C-M-y") 'browse-kill-ring))
@@ -873,5 +777,5 @@
 ** Tags
 Для прыжков и поиска функций/классов и т.д.
-#+BEGIN_SRC emacs-lisp :tangle init.el
+#+BEGIN_SRC emacs-lisp :tangle nil
   (setq path-to-ctags "~/.guix-profile/bin/ctags")
   
@@ -900,5 +804,5 @@
 *** Автодополнение кода и документация
 По большей части я использую дефолтный Completion Buffer и Corfu
-#+begin_src elisp :tangle init.el
+#+begin_src elisp :tangle nil
   (when (package-loaded? "corfu")
     (progn
@@ -1051,5 +955,5 @@
 
 ** Линтеры
-#+BEGIN_SRC emacs-lisp :tangle init.el
+#+BEGIN_SRC emacs-lisp :tangle nil
   ;; (add-hook 'php-mode-hook 'flymake-php-load)
    ;; (add-hook 'php-mode-hook 'flymake-phpstan-turn-on)
@@ -1073,6 +977,6 @@
 
 ** Сессия
-#+BEGIN_SRC emacs-lisp :tangle init.el
-  (desktop-save-mode 0)
+#+BEGIN_SRC emacs-lisp :tangle nil
+  (desktop-save-mode 1)
 #+END_SRC
 ** Скроллинг
@@ -1139,5 +1043,4 @@
 	  (cmucl ("cmucl" "-quiet"))
 	  (sbcl ("/opt/sbcl/bin/sbcl") :coding-system utf-8-unix)))
-
 #+END_SRC
 
@@ -1148,5 +1051,5 @@
 
 ** Ruby
-#+BEGIN_SRC emacs-lisp :tangle init.el
+#+BEGIN_SRC emacs-lisp :tangle nil
   (when (package-loaded? "inf-ruby")
     (add-hook 'ruby-mode-hook 'inf-ruby-minor-mode))
@@ -1193,5 +1096,5 @@
 Необходимо скачать и распаковать мануал PHP (в формате html) в
 директорию ~~/.emacs.d/php-manual/~.
-#+begin_src emacs-lisp :tangle init.el
+#+begin_src emacs-lisp :tangle nil
   ;; (add-to-list 'load-path "~/.emacs.d/site-lisp/realgud-xdebug/")
   ;; (require 'realgud-xdebug)
@@ -1361,5 +1264,5 @@
 Need to install lsp-server called sqls
 https://emacs-lsp.github.io/lsp-mode/page/lsp-sqls/
-#+BEGIN_SRC emacs-lisp :tangle init.el
+#+BEGIN_SRC emacs-lisp :tangle nil
   ;; Empty for now (was using emacsql)
   (setq lsp-sqls-server "~/go/bin/sqls")
@@ -1372,5 +1275,5 @@
 
 The main way to interact with SQL is using org-mode
-#+begin_src emacs-lisp :tangle init.el
+#+begin_src emacs-lisp :tangle nil
   (when (package-loaded? "org-sql")
     (setq org-sql-files "~/projects/profile24/org"))
@@ -1386,6 +1289,6 @@
 	 (sql-server "localhost")
 	 (sql-user "dbuser")
-	 (sql-password "mangoworms")
-	 (sql-database "profile24")
+	 (sql-password "123456")
+	 (sql-database "testdb")
 	 (sql-port 3306))))
 #+end_src
@@ -1405,6 +1308,5 @@
       (setq web-mode-enable-css-colorization t)
       (setq web-mode-enable-block-face t)
-      (setq web-mode-enable-current-element-highlight t)
-      (setq web-mode-enable-current-column-highlight t)))
+      (setq web-mode-enable-current-element-highlight t)))
 #+END_SRC
 
@@ -1552,5 +1454,5 @@
 * Коммуникации
 ** Telega
-#+BEGIN_SRC emacs-lisp :tangle init.el
+#+BEGIN_SRC emacs-lisp :tangle nil
   (when (package-loaded? "telega")
     (setq telega-filter-custom-show-folders t
@@ -1563,5 +1465,5 @@
 
 ** Mastodon
-#+begin_src emacs-lisp :tangle init.el
+#+begin_src emacs-lisp :tangle nil
   (when (package-loaded? "mastodon")
     (setq mastodon-active-user "w96k"
@@ -1574,5 +1476,5 @@
 ** Минорные твики дефолтного имакса
 *** Короткие ответы на вопросы
-#+begin_src emacs-lisp
+#+begin_src emacs-lisp :tangle init.el
   (if (boundp 'use-short-answers)
     (setq use-short-answers t)
@@ -1588,5 +1490,5 @@
 
 *** Подсвечивать текущую строку
-#+begin_src emacs-lisp :tangle init.el
+#+begin_src emacs-lisp :tangle nil
   (global-hl-line-mode 1)
 #+end_src
@@ -1599,5 +1501,5 @@
 
 *** Автодополнение в echo при M-x и других командах
-#+begin_src emacs-lisp :tangle init.el
+#+begin_src emacs-lisp :tangle nil
   (icomplete-mode 1)
 #+end_src
@@ -1613,5 +1515,5 @@
 
 *** Переключение буферов
-#+BEGIN_SRC emacs-lisp :tangle nil
+#+BEGIN_SRC emacs-lisp :tangle init.el
   (global-set-key (kbd "M-o")  'mode-line-other-buffer)
 #+END_SRC
@@ -1619,6 +1521,5 @@
 *** Минорные твики
 #+begin_src emacs-lisp :tangle init.el
-
-  (setq redisplay-dont-pause t)
+  ;; (setq redisplay-dont-pause t)
 
   (setq select-enable-clipboard t
@@ -1638,5 +1539,5 @@
   ;; (set-window-buffer nil (current-buffer))
 
-    (setq default-directory "~/"
+  (setq default-directory "~/"
 	delete-seleciton-mode t
 	inhibit-startup-message t
@@ -1655,5 +1556,5 @@
 
 *** Переменная PATH в eshell
-#+BEGIN_SRC emacs-lisp :tangle init.el
+#+BEGIN_SRC emacs-lisp :tangle nil
   (setq exec-path-from-shell-variables
 	'("PATH" "MANPATH"))
@@ -1677,5 +1578,5 @@
 По неизвестным причинам навигация в меню при помощи биндов Emacs
 не работает
-#+BEGIN_SRC emacs-lisp :tangle nil
+#+BEGIN_SRC emacs-lisp :tangle init.el
   ;; GTK menu doesn't allow emacs-style navigation
   (define-key global-map (kbd "<f10>") 'tmm-menubar)
@@ -1689,5 +1590,5 @@
    backup-by-copying t
    backup-directory-alist
-   '(("." . "~/.emacs.d/backups/"))
+   '(("~/.emacs.d/backups/"))
    version-control nil)
 #+END_SRC
@@ -1750,5 +1651,5 @@
 ** Tramp
 #+begin_src emacs-lisp :tangle nil
-    (add-to-list 'tramp-remote-path 'tramp-own-remote-path)
+  (add-to-list 'tramp-remote-path 'tramp-own-remote-path)
 #+end_src
 
@@ -1787,5 +1688,5 @@
 
 ** Nix
-#+begin_src emacs-lisp
+#+begin_src emacs-lisp :tangle nil
   (package-loaded? "nix")
 #+end_src
@@ -1796,5 +1697,5 @@
 #+end_src
 ** Direnv
-#+BEGIN_SRC emacs-lisp :tangle init.el
+#+BEGIN_SRC emacs-lisp :tangle nil
   (when (package-loaded? "direnv")
       (direnv-mode))