Index: content/cv.tex
===================================================================
--- content/cv.tex	(revision 4d3065bcd51f14cd5e5e2ca63055ea1ba1763438)
+++ content/cv.tex	(revision 4d3065bcd51f14cd5e5e2ca63055ea1ba1763438)
@@ -0,0 +1,251 @@
+% Created 2022-05-31 Вт 22:21
+% Intended LaTeX compiler: pdflatex
+\documentclass[12pt]{article}
+\usepackage[utf8]{inputenc}
+\usepackage[T1]{fontenc}
+\usepackage{graphicx}
+\usepackage{longtable}
+\usepackage{wrapfig}
+\usepackage{rotating}
+\usepackage[normalem]{ulem}
+\usepackage{amsmath}
+\usepackage{amssymb}
+\usepackage{capt-of}
+\usepackage{hyperref}
+\usepackage[russian, english]{babel}
+\usepackage{lipsum,graphicx}
+\setlength{\parindent}{0} % Default is 15pt.
+\author{Mikhail Kirillov}
+\date{\today}
+\title{Fullstack Developer}
+\hypersetup{
+ pdfauthor={Mikhail Kirillov},
+ pdftitle={Fullstack Developer},
+ pdfkeywords={},
+ pdfsubject={},
+ pdfcreator={Emacs 28.1 (Org mode 9.5.3)}, 
+ pdflang={English}}
+\begin{document}
+
+\maketitle
+\begin{wrapfigure}{r}{}
+\centering
+\includegraphics[width=0.25\textwidth]{../public/images/w96k.png}
+\end{wrapfigure}
+
+\section*{Basic information}
+\label{sec:orgb1b5208}
+
+\begin{tabular}{|l|l|}
+\hline
+Name & Kirillov Mikhail\\
+\hline
+Date of birth & 15.08.1996\\
+\hline
+Location & Russia, Moscow\\
+\hline
+Marital status & Single\\
+\hline
+Email & \href{mailto:w96k.ru@gmail.com}{w96k.ru@gmail.com}\\
+\hline
+Code & \href{https://git.sr.ht/\~w96k/}{https://git.sr.ht/\textasciitilde{}w96k/}\\
+\hline
+Blog & \url{https://w96k.dev}\\
+\hline
+\end{tabular}
+\section*{Preferences}
+\label{sec:orgc60d515}
+\begin{tabular}{|l|l|}
+\hline
+Type of work & Remote (desired), Hybrid, Office\\
+\hline
+Desired salary & €3000-3500 remote or €4000-5000 relocation\\
+\hline
+Company's field & - No gambling\\
+ & - No cryptocurrencies\\
+ & - No spying on users\\
+ & \\
+ & Company's field should be ethical\\
+\hline
+Workload & Full-time (40 hours per week)\\
+ & Part-time (20-30 hours per week)\\
+\hline
+\end{tabular}
+
+\section*{Education}
+\label{sec:org07ff661}
+\begin{tabular}{|l|l|}
+\hline
+Name & Moscow \emph{Polytechnic colleage № 8}\\
+\hline
+Period & \textbf{Sep. 2012 - July 2016}\\
+\hline
+Specialty & Organization and technology of information security\\
+\hline
+Code & 10.02.01\\
+\hline
+\end{tabular}
+
+\section*{Work experience}
+\label{sec:org41459cd}
+
+\subsection*{OOO «Reforma»}
+\label{sec:orga312c50}
+\begin{tabular}{|l|l|}
+\hline
+Period & June 2021 - Today\\
+\hline
+Position & Fullstack-Developer\\
+\hline
+Web-Site & \url{https://profile24.ru}\\
+\hline
+\end{tabular}
+
+\bigskip
+
+\texttt{Fullstack} \texttt{PHP} \texttt{Symfony} \texttt{Sonata Admin} \texttt{MySQL} \texttt{RabbitMQ} \texttt{Jquery} \texttt{Bootstrap}
+
+\bigskip
+
+Mainting and creating new features of marketplace website. It is written
+in PHP using Symfony Framework, Sonata admin, MySQL and
+RabbitMQ. Frontend part is Jquery and different javascript plugins like
+select2. I do both backend and frontend parts.
+
+\subsection*{OOO «Optifarma»}
+\label{sec:orgd6f7bf0}
+\begin{tabular}{|l|l|}
+\hline
+Period & November 2017 - March 2020\\
+\hline
+Position & Fullstack-Developer\\
+\hline
+Web-Site & \url{https://medkompas.ru}\\
+\hline
+\end{tabular}
+
+\bigskip
+
+\texttt{Fullstack} \texttt{PHP} \texttt{Symfony} \texttt{MySQL} \texttt{RabbitMQ} \texttt{Jquery} \texttt{Bootstrap}
+
+\bigskip
+
+Symfony website that have doctor's database and allow user to find
+specific doctors by different criterias like your location or your
+concrete problem.
+
+\subsection*{Indacoin ltd}
+\label{sec:org14f776b}
+\begin{tabular}{|l|l|}
+\hline
+Period & June 2017 - Sep. 2017\\
+\hline
+Position & \emph{Front-End Developer}\\
+\hline
+Web-site & \url{https://indacoin.com}\\
+\hline
+\end{tabular}
+
+\bigskip
+
+\texttt{Frontend} \texttt{Ember.js} \texttt{Javascript} \texttt{Semantic UI}
+
+\bigskip
+
+Creating SPA application as landing site for cryptocurrency platform. I
+was working with Ember.js and Semantic UI.
+
+\subsection*{Short term jobs and projects}
+\label{sec:org37c7bf9}
+\begin{itemize}
+\item I was working on frontend of epoll system written in Vue.js. Backend
+was in Java. Project status is unknown.
+\item I did several FreeCodeCamp projects available here:
+\url{https://codepen.io/w96k}
+\item Semantic UI theme for a blog based on Hugo:
+\url{https://github.com/w96k/hugo-sui-blog}
+\end{itemize}
+
+\newpage
+
+\section*{Skills}
+\label{sec:org009a4ba}
+\texttt{PHP}
+\texttt{Symfony}
+\texttt{Sonata Admin}
+\texttt{Mysql}
+\texttt{Python}
+\texttt{Django}
+\texttt{Flask}
+\texttt{Javascript}
+
+\texttt{React}
+\texttt{Vue.js}
+\texttt{SQL}
+\texttt{Bootstrap}
+\texttt{Docker}
+\texttt{Emacs}
+\texttt{OOP}
+\texttt{DDD}
+\texttt{SOLID}
+\texttt{Testing}
+
+\begin{itemize}
+\item Developing backends using Symfony (PHP) and Django/Flask (Python)
+\item Experience of using programming languages profesionally: PHP, Python,
+Javascript
+\item Single Page Application development based on react.js / vue.js /
+ember.js
+\item Experience of using PostgreSQL/MySQL and knowledge of SQL
+\item Experience of using CSS frameworks: Bootstrap, Semantic UI, Mini.css
+\item Software Testing (unit testing, selenium)
+\item Experience of using Docker
+\item Experience of using continious integrations systems: Gitlab CI,
+Jenkins
+\item Experience of using GNU/Linux and BSD distributions: Debian, Guix,
+Slackware, OpenBSD
+\item Experience of using version control systems: Git, Mercurial
+\end{itemize}
+
+\section*{Programming interests}
+\label{sec:orgbe4c484}
+\begin{itemize}
+\item Visiting or watching recordings of IT conferences
+\item Functional Programming and languages based on lambda calculus (LISP,
+Scheme, SML/Ocaml, Haskell, Idris)
+\item "Low-level" programming in C(++), Oberon and Common Lisp
+\item Programming Language Theory. I also like to discover ancient technology with interesting ideas
+\item Interest in self-modifying (or image-based) languages like Lisp,
+Smalltalk, Self and Oberon
+\item GNU Software and GNU+Linux distributions
+\item Emacs text editor, org-mode and latex
+\item Writing posts on w96k.dev and my mastodon
+\item Moderating programming groups in Telegram (Emacs, GNU Guix, Lisp
+groups)
+\item Free (Libre) Software
+\end{itemize}
+
+\section*{Languages}
+\label{sec:orgd9283f1}
+\begin{tabular}{|l|l|}
+\hline
+Russian & Native\\
+\hline
+English & - Reading documentation and books\\
+ & - Writing posts\\
+ & - Casual conversations\\
+\hline
+\end{tabular}
+
+
+
+\section*{Hobbies}
+\label{sec:orgdec69b9}
+\begin{itemize}
+\item Playing piano and composing music
+\item Bicycle and tourism on bicycle
+\item Swimming
+\item Math
+\item Philosophy
+\end{itemize}
+\end{document}