Index: emacs/.emacs.d/.emacs-config.org
===================================================================
--- emacs/.emacs.d/.emacs-config.org	(revision 805d49df660628dde037128e0bb5169f676cd8d3)
+++ emacs/.emacs.d/.emacs-config.org	(revision 5acd0cd7bf4b022c54210a0aa1eeee299e7d3e1e)
@@ -106,93 +106,92 @@
   (package-initialize)
 
-  (if (or (eq system-type 'berkeley-unix)
-	  (string-match-p (regexp-quote "Debian")
-			  (shell-command-to-string "lsb_release -d | awk -F\"\t\" '{print $2}'")))
-      (when (not package-archive-contents)
-	(progn
-	  (package-refresh-contents)
-	  (package-install 'avy)
-	  ;; (package-install 'anzu)
-	  (package-install 'anaconda-mode)
-	  (package-install 'auctex)
-	  (package-install 'beginend)
-	  (package-install 'composer)
-	  (package-install 'mini-modeline)
-	  (package-install 'cinspect)
-	  (package-install 'debian-el)
-	  (package-install 'dpkg-dev-el)
-	  (package-install 'edebug-inline-result)
-	  ;;(package-install 'haskell-mode)
-	  ;;(package-install 'idris-mode)
-	  (package-install 'magit)
-	  (package-install 'git-dwim)
-	  (package-install 'gitpatch)
-	  (package-install 'goto-chg)
-	  (package-install 'debbugs)
-	  ;;(package-install 'deft)
-	  (package-install 'direnv)
-	  (package-install 'dumb-jump)
-	  (package-install 'docker)
-	  (package-install 'docker-cli)
-	  (package-install 'docker-tramp)
-	  ;;(package-install 'eglot)
-	  (package-install 'mastodon)
-	  (package-install 'exec-path-from-shell)
-	  (package-install 'expand-region)
-	  (package-install 'flymake-php)
-	  (package-install 'flycheck)
-	  ;;(package-install 'robe)
-	  (package-install 'geiser)
-	  (package-install 'geiser-guile)
-	  (package-install 'guix)
-	  (package-install 'git-gutter)
-	  (package-install 'gnuplot)
-	  ;;(package-install 'swiper)
-	  ;;(package-install 'sqlite3)
-	  (package-install 'org-roam)
-	  (package-install 'org-roam-ui)
-	  (package-install 'org-download)
-	  (package-install 'org-babel-eval-in-repl)
-	  (package-install 'ob-php)
-	  (package-install 'lsp-mode)
-	  (package-install 'on-screen)
-	  ;;(package-install 'nix-mode)
-	  (package-install 'pdf-tools)
-	  ;;(package-install 'phpactor)
-	  ;; (package-install 'company-quickhelp)
-	  (package-install 'ac-php)
-	  (package-install 'php-mode)
-	  (package-install 'php-quickhelp)
-	  (package-install 'phan)
-	  (package-install 'php-cs-fixer)
-	  ;; (package-install 'company-php)
-	  (package-install 'php-eldoc)
-	  (package-install 'phps-mode)
-	  (package-install 'realgud)
-	  (package-install 'kiwix)
-	  ;;(package-install 'sml-mode)
-	  (package-install 'slime)
-	  (package-install 'simple-httpd)
-	  (package-install 'sudo-edit)
-	  (package-install 'treemacs)
-	  (package-install 'undo-tree)
-	  (package-install 'yasnippet)
-	  (package-install 'yasnippet-snippets)
-	  (package-install 'vimrc-mode)
-	  (package-install 'flymake-phpcs)
-	  (package-install 'flymake-phpstan)
-	  (package-install 'no-littering)
-	  (package-install 'web-mode)
-	  (package-install 'which-key)
-	  (package-install 'reverse-im)
-	  (package-install 'imenu-list)
-	  (package-install 'isearch-mb)
-	  (package-install 'visual-fill-column)
-	  (package-install 'browse-kill-ring)
-	  (package-install 'corfu)
-	  (package-install 'corfu-doc)
-	  (package-install 'inf-ruby)
-	  (package-install 'yaml-mode)
-	  (package-install 'restclient))))
+  (when (not package-archive-contents)
+    (progn
+      (package-refresh-contents)
+      (package-install 'avy)
+      ;; (package-install 'anzu)
+      (package-install 'anaconda-mode)
+      (package-install 'auctex)
+      (package-install 'beginend)
+      (package-install 'composer)
+      (package-install 'mini-modeline)
+      (package-install 'cinspect)
+      (package-install 'debian-el)
+      (package-install 'dpkg-dev-el)
+      (package-install 'edebug-inline-result)
+      ;;(package-install 'haskell-mode)
+      ;;(package-install 'idris-mode)
+      (package-install 'magit)
+      (package-install 'git-dwim)
+      (package-install 'gitpatch)
+      (package-install 'goto-chg)
+      (package-install 'debbugs)
+      ;;(package-install 'deft)
+      (package-install 'direnv)
+      (package-install 'dumb-jump)
+      (package-install 'docker)
+      (package-install 'docker-cli)
+      (package-install 'docker-tramp)
+      ;;(package-install 'eglot)
+      (package-install 'mastodon)
+      (package-install 'exec-path-from-shell)
+      (package-install 'expand-region)
+      (package-install 'flymake-php)
+      (package-install 'flycheck)
+      ;;(package-install 'robe)
+      (package-install 'geiser)
+      (package-install 'geiser-guile)
+      (package-install 'guix)
+      (package-install 'git-gutter)
+      (package-install 'gnuplot)
+      ;;(package-install 'swiper)
+      ;;(package-install 'sqlite3)
+      (package-install 'org-roam)
+      (package-install 'org-roam-ui)
+      (package-install 'org-download)
+      (package-install 'org-babel-eval-in-repl)
+      (package-install 'ob-php)
+      (package-install 'lsp-mode)
+      (package-install 'on-screen)
+      ;;(package-install 'nix-mode)
+      (package-install 'pdf-tools)
+      ;;(package-install 'phpactor)
+      ;; (package-install 'company-quickhelp)
+      (package-install 'ac-php)
+      (package-install 'php-mode)
+      (package-install 'php-quickhelp)
+      (package-install 'phan)
+      (package-install 'php-cs-fixer)
+      ;; (package-install 'company-php)
+      (package-install 'php-eldoc)
+      (package-install 'phps-mode)
+      (package-install 'realgud)
+      (package-install 'kiwix)
+      ;;(package-install 'sml-mode)
+      (package-install 'sly)
+      (package-install 'simple-httpd)
+      (package-install 'sudo-edit)
+      (package-install 'treemacs)
+      (package-install 'undo-tree)
+      (package-install 'yasnippet)
+      (package-install 'yasnippet-snippets)
+      (package-install 'vimrc-mode)
+      (package-install 'flymake-phpcs)
+      (package-install 'flymake-phpstan)
+      (package-install 'no-littering)
+      (package-install 'web-mode)
+      (package-install 'which-key)
+      (package-install 'reverse-im)
+      (package-install 'imenu-list)
+      (package-install 'isearch-mb)
+      (package-install 'visual-fill-column)
+      (package-install 'browse-kill-ring)
+      (package-install 'corfu)
+      (package-install 'corfu-doc)
+      (package-install 'inf-ruby)
+      (package-install 'yaml-mode)
+      (package-install 'geben)
+      (package-install 'link-hint)
+      (package-install 'restclient)))
 #+end_src
 
@@ -941,5 +940,5 @@
 	deft-use-filter-string-for-filename t
 	deft-default-extension "org md"
-	deft-directory "~/Documents/Notes")
+	deft-directory "~/projects/at-w96k/content/digarden")
 #+end_src
 
@@ -1329,5 +1328,5 @@
   (when (package-loaded? "org-roam")
     (progn
-      (setq org-roam-directory (file-truename "~/Documents/Notes")
+      (setq org-roam-directory (file-truename "~/projects/at-w96k/content/digarden/")
 	    org-roam-graph-viewer "icecat"
 	    org-roam-v2-ack t
@@ -1372,7 +1371,7 @@
 #+begin_src emacs-lisp :tangle init.el
   (add-to-list 'org-agenda-files
-	       "~/Documents/Notes/20210422181951-ежедневная_рутина.org")
+	       "~/projects/at-w96k/content/digarden/20210422181951-ежедневная_рутина.org")
   (add-to-list 'org-agenda-files
-	       "~/Documents/Notes/20210409072648-дела.org")
+	       "~/projects/at-w96k/content/digarden/20210409072648-дела.org")
 #+end_src
 
@@ -1479,5 +1478,5 @@
 
 *** Переменная PATH в eshell
-#+BEGIN_SRC emacs-lisp :tangle nil
+#+BEGIN_SRC emacs-lisp :tangle init.el
   (setq exec-path-from-shell-variables
 	'("PATH" "MANPATH"))
@@ -1664,2 +1663,16 @@
 			 '(1 "_NET_WM_STATE_FULLSCREEN" 0)))
 #+end_src
+** Удаление буфера и файла
+#+begin_src elisp :tangle init.el
+  (defun delete-file-and-buffer ()
+    "Kill the current buffer and deletes the file it is visiting."
+    (interactive)
+    (let ((filename (buffer-file-name)))
+      (if filename
+	  (if (y-or-n-p (concat "Do you really want to delete file " filename " ?"))
+	      (progn
+		(delete-file filename)
+		(message "Deleted file %s." filename)
+		(kill-buffer)))
+	(message "Not a file visiting buffer!"))))
+#+end_src