Index: commands/__init__.py
===================================================================
--- commands/__init__.py	(revision 8d2d5acde9d4d7d44d93c386e541692f4e45a271)
+++ commands/__init__.py	(revision 23bddf358dc615d18ed4470f33f383f1eac9ac63)
@@ -15,2 +15,4 @@
 from .movie import movie, movies, remove_movies
 from .event import create_event, list_events
+from .announce import create_announcement
+
Index: commands/event.py
===================================================================
--- commands/event.py	(revision 8d2d5acde9d4d7d44d93c386e541692f4e45a271)
+++ commands/event.py	(revision 23bddf358dc615d18ed4470f33f383f1eac9ac63)
@@ -76,8 +76,24 @@
     if events == [] or is_past(events[-1]["when"]):
         events.append(event_dict)
-        await update.message.reply_text(EVENT_CREATED.format(when=event_when))
+        await update.message.reply_text(
+            EVENT_CREATED.format(
+                when=event_when,
+                movie=event_dict["movie"],
+            )
+        )
     else:
+        old_when = events[-1]["when"]
+        old_where = events[-1]["where"]
         events[-1] = event_dict
-        await update.message.reply_text(EVENT_EDITED.format(when=event_when))
+
+        await update.message.reply_text(
+            EVENT_EDITED.format(
+                old_when=old_when,
+                old_where=old_where,
+                when=event_when,
+                where=event_where,
+                movie=event_dict["movie"],
+            )
+        )
 
 
Index: commands/meta.py
===================================================================
--- commands/meta.py	(revision 8d2d5acde9d4d7d44d93c386e541692f4e45a271)
+++ commands/meta.py	(revision 23bddf358dc615d18ed4470f33f383f1eac9ac63)
@@ -12,21 +12,25 @@
 from telegram import Update
 from telegram.ext import ContextTypes
+from subprocess import check_output
+
+from strings import ABOUT
+
+
+VERSION="0.1"
+
+
+def _get_commit_hash() -> str:
+    return check_output(['git', 'rev-parse', 'HEAD']).decode('ascii').strip()
+
+
+def _get_commit_short_hash() -> str:
+    return check_output(['git', 'rev-parse', '--short', 'HEAD']).decode('ascii').strip()
 
 
 async def about(update: Update, context: ContextTypes.DEFAULT_TYPE) -> None:
-    await update.message.reply_text('''
-Version InDev
-
-python-cinema-club-bot is a bot for Telegram specialized for managing cinema club activities. This software is released as Public Domain using CC0 license.
-
-Project information: http://57.129.46.169/trac/wiki/python-cinema-club-bot
-Source code: http://57.129.46.169/cgit/python-cinema-club-bot/
-
-Contributed in 2024 by Mikhail Kirillov (~w96k) <w96k@runbox.com>
-
-To the extent possible under law, the author(s) have dedicated all copyright and related and neighboring rights to this software to the public domain worldwide. This software is distributed without any warranty.
-
-You should have received a copy of the CC0 Public Domain Dedication along with this software. If not, see:
-<http://creativecommons.org/publicdomain/zero/1.0/>
-
-    ''')
+    await update.message.reply_text(
+        ABOUT.format(
+            version=VERSION,
+            commit=_get_commit_short_hash(),
+        )
+    )
Index: commands/users.py
===================================================================
--- commands/users.py	(revision 8d2d5acde9d4d7d44d93c386e541692f4e45a271)
+++ commands/users.py	(revision 23bddf358dc615d18ed4470f33f383f1eac9ac63)
@@ -17,8 +17,8 @@
     EXPECTED_ONE_USER, USER_SET, USER_ADD, USER_REMOVE, ADD_MORE_USERS, \
     NEXT_MOVIE_USER, USER_NOT_FOUND, USER_CHOOSE, NO_USERS, \
-    EVENT_USER_HAD_EVENT
-from utils import context_init, create_users_string, normalize_username, \
-    choose_next_user
+    EVENT_USER_HAD_EVENT, NEXT_MOVIE
+from utils import context_init, create_users_string, choose_next_user
 from predicates import has_finished_event
+
 
 async def set_users(
@@ -87,5 +87,13 @@
         users = context.chat_data["users"] = choose_next_user(users)
 
-    await update.message.reply_text(NEXT_MOVIE_USER.format(user=users[0]))
+    next_user_string = NEXT_MOVIE_USER.format(user=users[0])
+
+    last_movie = context.chat_data["movies"][0] \
+        if context.chat_data["movies"] != [] else None
+
+    if last_movie and last_movie["user"] == users[0]:
+        next_user_string += NEXT_MOVIE.format(movie=last_movie["title"])
+
+    await update.message.reply_text(next_user_string)
 
 