Index: emacs/.emacs.d/.emacs-config.org
===================================================================
--- emacs/.emacs.d/.emacs-config.org	(revision 8f6be2b568d2de85b93c45d2fbff69654bdc7afe)
+++ emacs/.emacs.d/.emacs-config.org	(revision 6782e9bbecbbd734b5849fbf29665a9e3bbc1ad9)
@@ -117,12 +117,13 @@
   (require 'gnutls)
 
-  (when (not package-archive-contents)
-    (progn
+  (progn
       (package-refresh-contents)
       (package-install 'avy)
+      (package-install 'php-mode)
+      (package-install 'phps-mode)
       ;; (package-install 'anzu)
       (package-install 'anaconda-mode)
       (package-install 'auctex)
-      (package-install 'rmsbolt)
+      ;; (package-install 'rmsbolt)
       ;; (package-install 'beginend)
       ;; (package-install 'composer)
@@ -155,5 +156,5 @@
       (package-install 'flycheck)
       (package-install 'flycheck-phpstan)
-      ;; (package-install 'phpactor)
+      (package-install 'phpactor)
       ;;(package-install 'robe)
       (package-install 'geiser)
@@ -183,5 +184,5 @@
       ;;(package-install 'phps-mode)
       (package-install 'realgud)
-      (package-install 'realgud-xdebug)
+      ;; (package-install 'realgud-xdebug)
       ;; (package-install 'kiwix)
       ;;(package-install 'sml-mode)
@@ -213,5 +214,5 @@
       ;; (package-install 'psysh)
       ;; (package-install 'restclient)
-      ))
+      )
 #+end_src
 
@@ -256,5 +257,5 @@
 ** EXWM
 
-#+begin_src emacs-lisp :tangle init.el
+#+begin_src emacs-lisp :tangle nil
   (require 'exwm)
   (require 'exwm-config)
@@ -397,4 +398,5 @@
 
   (require 'package)
+  (package-initialize)
 
   (defun package-loaded? (string)
@@ -767,14 +769,14 @@
 
 ** Клиент LSP
-#+begin_src emacs-lisp :tangle nil
-  (with-eval-after-load 'eglot
-    (add-to-list 'eglot-server-programs '((php-mode phps-mode) . ("~/projects/phpactor/bin/phpactor" "language-server" "-vvv")))
-    (add-to-list 'eglot-server-programs '((php-mode phps-mode) . ("intelephense" "--stdio")))
-
-    ;; No event buffers, disable providers cause a lot of hover traffic. Shutdown unused servers.
-    (setq eglot-events-buffer-size 0
-	  eglot-ignored-server-capabilities '(:hoverProvider
-					      :documentHighlightProvider)
-	  eglot-autoshutdown t))
+#+begin_src emacs-lisp :tangle init.el
+  ;; (with-eval-after-load 'eglot
+  ;;   (add-to-list 'eglot-server-programs '((php-mode phps-mode) . ("~/projects/phpactor/bin/phpactor" "language-server" "-vvv")))
+  ;;   (add-to-list 'eglot-server-programs '((php-mode phps-mode) . ("intelephense" "--stdio")))
+
+  ;;   ;; No event buffers, disable providers cause a lot of hover traffic. Shutdown unused servers.
+  ;;   (setq eglot-events-buffer-size 0
+  ;; 	eglot-ignored-server-capabilities '(:hoverProvider
+  ;; 					    :documentHighlightProvider)
+  ;; 	eglot-autoshutdown t))
 
   ;; Show all of the available eldoc information when we want it. This way Flymake errors
@@ -871,5 +873,5 @@
 Показывает собранное состояние будь то собранный куски на ассемблере
 или байт-код при помощи пакета RMSbolt.
-#+begin_src emacs-lisp :tangle init.el
+#+begin_src emacs-lisp :tangle nil
   (add-hook 'prog-mode-hook 'rmsbolt-mode)
 #+end_src
@@ -951,7 +953,7 @@
   ;; (defun init-php-mode ()
   ;;   (eglot-ensure))
-
+  
   (with-eval-after-load 'php-mode
-    (custom-set-variables '(lsp-phpactor-path "/home/w96k/php/phpactor"))
+
     ;; (add-hook 'php-mode-hook #'init-php-mode)
     )
@@ -961,5 +963,5 @@
       (add-hook 'php-mode-hook 'php-enable-symfony2-coding-style)
       (setq lsp-intelephense-php-version "8.1.16")
-      (defvar phpactor-executable "~/.local/bin/phpactor")
+      (defvar phpactor-executable "~/.bin/phpactor")
       (custom-set-variables '(lsp-phpactor-path "~/usr/local/bin/phpactor"))
 
@@ -1035,4 +1037,8 @@
 
 *** Composer
+#+begin_src emacs-lisp :tangle init.el
+  (setq composer-executable-bin "~/.bin/composer")
+#+end_src
+
 *** Flymake PHP
 *** REPL
@@ -1040,7 +1046,15 @@
 PHPactor
 #+begin_src emacs-lisp :tangle nil
-  (with-eval-after-load 'php-mode
-    (define-key php-mode-map (kbd "M-.") #'phpactor-goto-definition)
-    (define-key php-mode-map (kbd "M-?") #'phpactor-find-references))
+  (setq phpactor-executable "~/.bin/phpactor")
+  (custom-set-variables '(lsp-phpactor-path "~/.bin/phpactor"))
+
+  (use-package phpactor :ensure t)
+  (use-package company-phpactor :ensure t)
+
+
+
+  ;; (with-eval-after-load 'php-mode
+  ;;   (define-key php-mode-map (kbd "M-.") #'phpactor-goto-definition)
+  ;;   (define-key php-mode-map (kbd "M-?") #'phpactor-find-references))
 #+end_src
 
@@ -1216,5 +1230,5 @@
   (when (package-loaded? "org-roam")
     (progn
-      (setq org-roam-directory (file-truename "~/projects/at-w96k/content/digarden/pages/")
+      (setq org-roam-directory (file-truename "~/Zettelkasten")
 	    org-roam-v2-ack t
 	    org-roam-completion-everywhere t