Index: .emacs
===================================================================
--- .emacs	(revision 515fd9a4ffea7f078c0b2ce465cd170ea656ea9b)
+++ .emacs	(revision 91524a7673d66fe7c90f472066830ac82ce61584)
@@ -99,9 +99,10 @@
     <small>
       <p>Содержимое доступно по лицензии
-        <a href=\"https://creativecommons.org/licenses/by/4.0/\">
+        <a href=\"https://creativecommons.org/licenses/by-sa/4.0/deed.ru\">
           Creative Commons «Attribution-ShareAlike» («Атрибуция — На тех же условиях») 4.0 Всемирная (CC BY-SA 4.0) 
         </a>
       </p>
       <p>Исходный код доступен по лицензии GNU General Public License Version 3</p>
+      <p><a href=\"/legal.html\">Подробнее о правах</a></p>
     </small>
   </div>"
Index: content/legal.org
===================================================================
--- content/legal.org	(revision 91524a7673d66fe7c90f472066830ac82ce61584)
+++ content/legal.org	(revision 91524a7673d66fe7c90f472066830ac82ce61584)
@@ -0,0 +1,50 @@
+#+TITLE: Правовая информация
+#+LANGUAGE: ru
+
+* Правовая информация
+*<@w96k>* Copyright © 2019-2020 /Mikhail Kirillov/
+
+По вопросам правового характера обращаться по email: [[mailto:w96k@posteo.net][w96k@posteo.net]]
+
+** Содержимое сайта
+Содержимое данного сайта распространяется под публичной лицензией
+Creative Commons С указанием авторства версии 4.0 Международная
+«Attribution-ShareAlike» ([[https://creativecommons.org/licenses/by-sa/4.0/deed.ru][CC BY-SA 4.0]]).
+
+**** Вы можете свободно:
+- *Делиться (обмениваться)* — копировать и распространять материал на
+  любом носителе и в любом формате
+- *Адаптировать (создавать производные материалы)* — делать ремиксы,
+  видоизменять, и создавать новое, опираясь на этот материал в любых
+  целях, включая коммерческие.
+
+**** При обязательном соблюдении следующих условий:
+- *«Attribution» («Атрибуция»)* — Вы должны обеспечить соответствующее
+  указание авторства, предоставить ссылку на лицензию, и обозначить
+  изменения, если таковые были сделаны. Вы можете это делать любым
+  разумным способом, но не таким, который подразумевал бы, что
+  лицензиар одобряет вас или ваш способ использования произведения.
+- *«ShareAlike» («На тех же условиях»)* — Если вы перерабатываете,
+  преобразовываете материал или берёте его за основу для производного
+  произведения, вы должны распространять переделанные вами части
+  материала на условияхтой же лицензии, в соответствии с которой
+  распространяется оригинал.
+
+** Исходный код сайта
+Исходный код данного сайта доступен по адресу: https://git.sr.ht/~w96k/at-w96k
+
+Эта программа является свободным программным обеспечением: Вы можете
+распространять ее и (или) изменять, соблюдая условия Генеральной
+публичной лицензии GNU, опубликованной Фондом свободного программного
+обеспечения; либо редакции 3 Лицензии, либо (на Ваше усмотрение) любой
+редакции, выпущенной позже. Эта программа распространяется в расчете
+на то, что она окажется полезной, но БЕЗ КАКИХ-ЛИБО ГАРАНТИЙ, включая
+подразумеваемую гарантию КАЧЕСТВА либо ПРИГОДНОСТИ ДЛЯ ОПРЕДЕЛЕННЫХ
+ЦЕЛЕЙ. Ознакомьтесь с Генеральной публичной лицензией GNU для получения
+более подробной информации. Вы должны были получить копию Генеральной
+публичной лицензии GNU вместе с этой программой. Если Вы ее не
+получили, то перейдите по адресу: <http://www.gnu.org/licenses/>.
+
+** Текст лицензии
+Полный текст лицензии доступен по адресу: https://w96k.com/license или
+в репозитории проекта в файле LICENSE.