Index: content/digarden/20210409071539-языки_программирования.org
===================================================================
--- content/digarden/20210409071539-языки_программирования.org	(revision 2427b631ce2b75e2116ec0bf0eb3018a3b6892f1)
+++ content/digarden/20210409071539-языки_программирования.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
@@ -51,5 +51,6 @@
 - [[id:2f0a8624-cbf4-4b9a-a8dc-5ed64c8edc69][Idris]]
 - [[id:be4c0663-065f-4564-a72d-cfd4fbd274a4][Erlang]]  
-
+- [[id:46bd6e4d-43ea-4f31-aa2d-155b4499b6fb][Zig]]
+  
 Много реализаций, но по факту культура использования одной:
 - [[id:6e29e344-2375-49a7-8ca5-234d24a57bc5][PHP]]
Index: content/digarden/20210409071707-языки.org
===================================================================
--- content/digarden/20210409071707-языки.org	(revision 2427b631ce2b75e2116ec0bf0eb3018a3b6892f1)
+++ content/digarden/20210409071707-языки.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
@@ -7,3 +7,3 @@
 - Русский
 - Эсперанто
-- Грузинский  
+- [[id:952d944c-724f-4ced-bceb-d6535d4cc050][Грузинский язык]]
Index: content/digarden/20210410211702-программирование.org
===================================================================
--- content/digarden/20210410211702-программирование.org	(revision 2427b631ce2b75e2116ec0bf0eb3018a3b6892f1)
+++ content/digarden/20210410211702-программирование.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
@@ -15,4 +15,5 @@
 - [[id:f0451ee4-d882-440b-86a1-850a873dc46c][Языки разметки]]  
 - [[id:2e04bf54-3469-496a-ac95-efd3ddca828e][Инструменты разработки]]
+- [[id:18b8111f-d3c5-4cc8-9991-c90761142384][Нотации языков программирования]]
   
 Подходы:
@@ -45,5 +46,6 @@
 - Trait
 - Mixin  
-
+- [[id:d1ab37ab-45b5-4415-a265-797ba71a799c][Exception]]
+  
 Социальный аспект:
 - [[id:b60fac2f-a169-4be7-97ed-0ff5006ea927][Сертификация]]
Index: content/digarden/20210411001109-email.org
===================================================================
--- content/digarden/20210411001109-email.org	(revision 2427b631ce2b75e2116ec0bf0eb3018a3b6892f1)
+++ content/digarden/20210411001109-email.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
@@ -4,3 +4,17 @@
 #+title: Email
 * Email
-Протокол для обмена письмами.
+Способ обмена электронными письмами.
+
+** Протоколы
+- POP3
+- SMTP
+
+** Сервисы
+Лучше всего самому поднимать свою почту, но если такой возможности есть,
+то существуют плюс-минус этичные провайдеры email.
+- [[https://posteo.net][Posteo]]
+- [[https://runbox.com][Runbox]]
+
+  и т.д.
+
+Эти сервисы стоят денег, но обычно не таких больших.  
Index: content/digarden/20210411141214-политика.org
===================================================================
--- content/digarden/20210411141214-политика.org	(revision 2427b631ce2b75e2116ec0bf0eb3018a3b6892f1)
+++ content/digarden/20210411141214-политика.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
@@ -4,5 +4,7 @@
 #+title: Политика
 * Политика
-Политические направления:
+Способы самоорганизации общества или управления обществом. Чаще это
+выглядит как меньшинство правит большинством.
+** Политические направления
 - [[id:36b6247a-8115-4a49-bca2-2efdb7a033b4][Анархизм]]
 - [[id:ae221a7a-3164-428c-93c0-6d7b71c25671][Коммунизм]]
@@ -11,4 +13,7 @@
 - [[id:b15b1e88-3495-4c38-b2f5-77359865f5dd][Либертарианство]]
 - и другие
+
+** Страны
+- [[id:f6087752-da68-4d79-8413-27fb96147d81][Россия]]
   
 ** Критика СССР:
Index: content/digarden/20210423140526-php.org
===================================================================
--- content/digarden/20210423140526-php.org	(revision 2427b631ce2b75e2116ec0bf0eb3018a3b6892f1)
+++ content/digarden/20210423140526-php.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
@@ -6,5 +6,5 @@
 [[https://www.php.net/manual/en/types.comparisons.php][Таблица истинности]]
 
-Плюсы PHP:
+** Плюсы PHP:
 - Проверки типов в рантайме (в отличии от Python)
 - Заточенность под быструю скорость выполнения (JIT в мастер)
@@ -18,5 +18,5 @@
 - Копирование значение, а не ссылки. Наличие оператора & для обращения к "ссылке" переменной.
 
-Минусы PHP:
+** Минусы PHP:
 - Глобальная конфигурация, которая влияет на поведение
 - Расширения, которые влияют на поведение
@@ -80,5 +80,5 @@
 
   
-Минусы PHP:
+** Минусы PHP:
 - Страшный синтаксис, смесь Perl, Bash и Java
 - Мало реализаций
@@ -121,9 +121,11 @@
 - [[https://youtube.com/watch?v=joL__9t6E_s][Nikita Popov - PHP Language Trivia]]
 - [[https://youtube.com/watch?v=JBWgvUrb-q8][Nikita Popov – PHP Performance Trivia]]
-
+- [[https://www.youtube.com/playlist?list=PLr3d3QYzkw2xabQRUpcZ_IBk9W50M9pe-][Learn PHP The Right Way - Full PHP Tutorial]]
+  
 *Статьи:*
 - http://blogerator.org/page/php-7-kritikujte-dalshe-a-my-budem-rabotat-stogov
 - http://blogerator.org/page/2012-php-core-team-intervju-zmievskij-malyshev-alshanetskij-eksperty-sravnenie  
-
+- [[https://habr.com/ru/company/skyeng/blog/666626/][Как прокачаться в PHP: 70 ресурсов]]
+  
 *Книги*:
 - [[https://www.amazon.com/dp/067232704X][Extending and Embedding PHP]]
Index: content/digarden/20210425152343-ооп.org
===================================================================
--- content/digarden/20210425152343-ооп.org	(revision 2427b631ce2b75e2116ec0bf0eb3018a3b6892f1)
+++ content/digarden/20210425152343-ооп.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
@@ -7,4 +7,103 @@
 - Абстрактный класс :: класс, не предполагающий создание
   экземпляров. Используется только для наследования другими классами.
+- Сервис :: класс, который структуризирует некоторую функциональность и
+  даёт её использовать другим классам. Что-то вроде файлов utils из
+  других языков, но в ООП мире.
+
+  Подробнее о сервисах: [[[https://en.wikipedia.org/wiki/Service-oriented_programming][Wikipedia: Service-Oriented Programming]]]
+
+** Отношения
+- Наследование :: отношение "является". Легковой автомобиль является
+  автомобилем, значит легковой автомобиль наследуется от класса
+  автомобиля.  
+#+begin_src c-sharp
+class Vehicle
+{
+    bool hasWheels;
+}
+
+class Car : Vehicle
+{
+    string model = "Porshe";
+    int numberOfWheels = 4
+}
+#+end_src
+
+- Ассоциация :: отношение "имеет". Автомобиль имеет двигатель, двигатель
+  не является автомобилем, соответственно двигатель не будет являться
+  наследником класса автомобиль.
+#+begin_src c-sharp
+class Engine
+{
+    int power;
+    public Engine(int p)
+    {
+        power = p;
+    }
+}
+
+class Car
+{
+    string model = "Porshe";
+    Engine engine;
+    public Car()
+    {
+        this.engine = new Engine(360);
+    }
+}   
+#+end_src
+
+  - Композиция :: двигатель создаётся внутри автомобиля и не является
+    отдельной сущностью.
+#+begin_src c-sharp
+class Engine
+{
+    int power;
+    public Engine(int p)
+    {
+        power = p;
+    }
+}
+
+class Car
+{
+    string model = "Porshe";
+    Engine engine;
+    public Car()
+    {
+        this.engine = new Engine(360);
+    }
+}
+#+end_src
+
+  - Агрегация :: двигатель является отдельной сущностью и включается в
+    класс автомобиля, путём передачи в конструктор.
+#+begin_src c-sharp
+class Engine
+{
+    int power;
+    public Engine(int p)
+    {
+       power = p;
+    }
+}        
+
+class Car
+{
+    string model = "Porshe";
+    Engine engine;
+    public Car(Engine someEngine)
+    {
+         this.engine = someEngine;
+    }
+}
+
+Engine goodEngine = new Engine(360);
+Car porshe = new Car(goodEngine);
+#+end_src
+    
+
+Подробнее об этих отношениях в [[https://habr.com/ru/post/354046/][статье "Наследование, композиция,
+агрегация"]].
   
 ** Модификаторы доступа
@@ -15,4 +114,7 @@
 - *final* -- нельзя отнаследоваться никому
 - *static* -- метод принадлежит классу, а не экземпляру  
+
+*** Статьи
+- [[https://habr.com/ru/post/482154/][Зачем ограничивать наследование при помощи final]]
 
 ** Интерфейсы
@@ -45,9 +147,11 @@
 
 *** Аннотации
-*** Наследования
+*** Наследование
 *** Паттерн Синглтон
 Зачем создавать класс, который плодит всего один объект, если возможно
 создать сразу объект как например в Javascript или Scala.
 
+*** Классы используются ради единственной сущности, а не ради многих
+*** Классы используют тогда, когда можно обойтись структурой
 ** ООП нетрадиционное
 - Lisp
Index: content/digarden/20210513224522-курсы.org
===================================================================
--- content/digarden/20210513224522-курсы.org	(revision 2427b631ce2b75e2116ec0bf0eb3018a3b6892f1)
+++ content/digarden/20210513224522-курсы.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
@@ -3,5 +3,22 @@
 :END:
 #+title: Курсы
+* Курсы
 Курсы в интернете и в реальной жизни.
 
+** Курсы
 - From Nand to Tetris
+
+** Платформы
+Многие платформы проприетарны и из них невозможно скачать видео, но сам
+выкладываемый материал может иметь ценность. Иногда не весь материал
+доступен для свободного изучения, в индустрии могут заведомо
+ограничивать данные о работе определённых библиотек, фреймворков и т.д.,
+чтобы заработать больше денег на консультациях и скринкастах. Прямой
+пример такого поведения документация Symfony и их проект SymfonyCasts.
+
+- SymfonyCasts
+- Coursera
+- LinkedIn eLearning
+- Stepik
+
+  и т. д.
Index: content/digarden/20210615202918-symfony.org
===================================================================
--- content/digarden/20210615202918-symfony.org	(revision 2427b631ce2b75e2116ec0bf0eb3018a3b6892f1)
+++ content/digarden/20210615202918-symfony.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
@@ -11,5 +11,7 @@
 - [[id:b907e9f5-97f1-45a5-bbd9-7ed36718fe75][SonataAdmin]]
 - [[id:e1b70298-5a02-45c4-be3b-47be053c546b][Doctrine]]
-
+- Alice (Fixtures)
+https://symfonycasts.com/screencast/alice-fixtures/fixtures
+  
 ** Понятия
 -   Action
@@ -52,4 +54,5 @@
 -   Twig/Extension
 
+  
 ** Дебаг
 Существует Symfony Profiler (полосочка снизу).
@@ -74,5 +77,6 @@
   Jinja и подобные шаблонизатора в Python (Twig был от разработчика
   Jinja) выглядят естественно для языка
-
+- [[id:2dca6571-39e7-4566-abc6-616877149260][YAML-driven-development]]
+  
 Веб-ресурсы:
 - [[https://www.reddit.com/r/symfony/top/?t=all][Reddit]]
Index: content/digarden/20221023004637-errata.org
===================================================================
--- content/digarden/20221023004637-errata.org	(revision 2427b631ce2b75e2116ec0bf0eb3018a3b6892f1)
+++ content/digarden/20221023004637-errata.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
@@ -6,3 +6,7 @@
 List of changes of my website and digital garden.
 
+- <2022-11-03 Thu> Added more info to [[id:dd94af19-b479-48ed-82c5-776413564942][Courses]] and [[id:3c6e6f4a-fb2f-4620-abfc-edcb9b0dcabe][Email]] pages
+- <2022-11-02 Wed> Created [[id:952d944c-724f-4ced-bceb-d6535d4cc050][Georgian Language]] page
+- <2022-10-31 Mon> Created [[id:46bd6e4d-43ea-4f31-aa2d-155b4499b6fb][Zig]] programming language page
+- <2022-10-26 Wed> Created [[id:e254dc49-4cc8-47e5-a9e6-008e90430fd4][Actor]] page
 - <2022-10-23 Sun> Created Errata and [[id:fd2dd57d-c683-4ad2-9530-8f0d828a2110][About Me]] page
Index: content/digarden/20221027122006-россия.org
===================================================================
--- content/digarden/20221027122006-россия.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
+++ content/digarden/20221027122006-россия.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
@@ -0,0 +1,12 @@
+:PROPERTIES:
+:ID:       f6087752-da68-4d79-8413-27fb96147d81
+:END:
+#+title: Россия
+* Россия
+** Плюсы
+- Редко выключают свет и воду
+- Дешево жить (дешевая еда, низкие налоги)
+- Соответственно работать тоже можно мало
+  
+** Минусы
+- 
Index: content/digarden/20221028162939-yaml_driven_development.org
===================================================================
--- content/digarden/20221028162939-yaml_driven_development.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
+++ content/digarden/20221028162939-yaml_driven_development.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
@@ -0,0 +1,13 @@
+:PROPERTIES:
+:ID:       2dca6571-39e7-4566-abc6-616877149260
+:END:
+#+title: YAML-driven-development
+* YAML-driven-development
+- Возможность не пересобирать программу, если она компилируемая. Имеет
+  намного меньше смысла для интерпретируемых языков.
+  
+** Минусы
+- Часто это по сути DSL, который можно было бы интегрировать в язык
+  программирования, если бы тот поддерживал мета-программирование на
+  должном уровне.
+- Нет автодополнения  
Index: content/digarden/20221028223327-exception.org
===================================================================
--- content/digarden/20221028223327-exception.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
+++ content/digarden/20221028223327-exception.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
@@ -0,0 +1,13 @@
+:PROPERTIES:
+:ID:       d1ab37ab-45b5-4415-a265-797ba71a799c
+:END:
+#+title: Exception
+* Exception
+Исключительная ситуация, ошибка, на которую программная среда может
+каким-либо образом отреагировать. Обычно это просто вывод ошибки, но в
+теории сам механизм нужен, чтобы программа могла сама себя
+восстанавливать от непредвиденных последствий и не падать намертво при
+возникновении ошибки.
+
+** Виды ошибок
+- [[id:f346dcfa-5575-4aab-a245-36ff96266611][NullPointerException]]
Index: content/digarden/20221028223544-nullpointerexception.org
===================================================================
--- content/digarden/20221028223544-nullpointerexception.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
+++ content/digarden/20221028223544-nullpointerexception.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
@@ -0,0 +1,30 @@
+:PROPERTIES:
+:ID:       f346dcfa-5575-4aab-a245-36ff96266611
+:END:
+#+title: NullPointerException
+* NullPointerException
+Thrown when an application attempts to use null in a case where an
+object is required. These include:
+
+- Calling the instance method of a null object.
+- Accessing or modifying the field of a null object.
+- Taking the length of null as if it were an array.
+- Accessing or modifying the slots of null as if it were an array.
+- Throwing null as if it were a Throwable value. 
+
+https://stackoverflow.com/questions/218384/what-is-a-nullpointerexception-and-how-do-i-fix-it
+
+NullPointerExceptions are exceptions that occur when you try to use a
+reference that points to no location in memory (null) as though it were
+referencing an object. Calling a method on a null reference or trying to
+access a field of a null reference will trigger a NullPointerException.
+
+#+begin_src java
+  public class Example {
+    public static void main(String[] args) {
+        Object obj = null;
+        obj.hashCode();
+    }
+}
+#+end_src
+
Index: content/digarden/20221031151126-zig.org
===================================================================
--- content/digarden/20221031151126-zig.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
+++ content/digarden/20221031151126-zig.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
@@ -0,0 +1,18 @@
+:PROPERTIES:
+:ID:       46bd6e4d-43ea-4f31-aa2d-155b4499b6fb
+:END:
+#+title: Zig
+* Zig
+Zig - язык программирования, которые старается быть простым как си и при
+этом понятным. Не имеет GC, есть типы как в фп, берёт много фишек из
+Rust, но при этом не завозит сложности из Rust.
+
+Планирую использовать для тех целей, когда Си вынести будет сложно, а
+C++ / Rust слишком избыточны (а они скорее всего избыточны почти всегда).
+
+[[[https://en.wikipedia.org/wiki/Zig_(programming_language)][Wikipedia: Zig_(programming_language)]]]
+
+https://ziglang.org/
+
+** Видео
+- [[https://youtube.com/watch?v=Gv2I7qTux7g][The Road to Zig 1.0 - Andrew Kelley]]
Index: content/digarden/20221102162642-грузия.org
===================================================================
--- content/digarden/20221102162642-грузия.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
+++ content/digarden/20221102162642-грузия.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
@@ -0,0 +1,4 @@
+:PROPERTIES:
+:ID:       782e5375-7227-4f06-92e6-7176450ab1c9
+:END:
+#+title: Грузия
Index: content/digarden/20221102162657-грузинскии_язык.org
===================================================================
--- content/digarden/20221102162657-грузинскии_язык.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
+++ content/digarden/20221102162657-грузинскии_язык.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
@@ -0,0 +1,139 @@
+:PROPERTIES:
+:ID:       952d944c-724f-4ced-bceb-d6535d4cc050
+:END:
+#+title: Грузинский язык
+* Грузинский язык
+В грузинском языке нет ударений, все слова произносятся на распев. Нет
+заглавных букв, даже имена собственные пишутся со строчной буквы. Нет
+звука “е”, все слова с этой буквой произносятся с мягкой “э”. Нет буквы
+“ф”, вместо нее везде будет произноситься “п”, например: телефон —
+тэлэпони, Федор — Педори, федерация — пэдэрациа.
+
+** Общение
+- Здравствуйте! — Гамарджоба!
+- Спасибо — Мадлоба
+- До свидания — Нахвамдис
+- Да (разговорное, просторечье) — Ки/Хо
+- Да (уважительно, официально) — Дииах
+- Нет — ара
+- Извините — Бодиши
+- Большое спасибо — Диди мадлоба
+- Огромное спасибо (лайфхак вам – его используют очень редко, но если вы поблагодарили человека именно так, то будьте уверены, он удивится, но будет обрадован) — Угрмэси мадлоба
+- Хочу, надо —  Минда 
+- Не хочу, не надо— Ар минда  
+- Не за что (аналог фразы “не стоит благодарности”/пожалуйста) — Араприс
+- Я не понимаю — Ме ар мэсмис
+- Я не знаю грузинский — Картули арвици
+- Вы знаете русский? (просторечье) — Русули ицит?
+- Вы говорите по русски? (уважительно)  — Русулад лапаракопт?
+- Как дела? — Роогор кхар?
+- Господин (уважительно) — Батоно
+- Госпожа (уважительно) — Калбатоно
+
+** Семья
+- Мама — Дэда
+- Папа — Мама
+- Дедушка — Бабуа
+- Бабушка — Бэбия
+- Ребенок — Швили
+** Местоимения
+- Я — Мэ
+- Ты — Шэн 
+- Мы — Чвэн
+- Они — Исини
+- Вы — Тквэн
+** Числительные
+- Один — Эрти
+- Два — Ори
+- Три — Сами
+- Четыре — Отхи
+- Пять — Хути
+- Шесть — Эквси
+- Семь — Швииди
+- Восемь — Рва
+- Девять — Цхра
+- Десять —  Ати
+
+** Прилагательные  
+Как преваратить число в прилагательное? Нужно добавить впереди частичку
+“мэ”. Исключение, первый — Первэли.
+
+Например, второй— мэори, третий — мэсами и т.д.
+
+** Дни недели
+- Понедельник — Оршабати
+- Вторник — Самшабати
+- Среда — Отхшабати
+- Четверг — Хутшабати
+- Пятница — Параскэви
+- Суббота — Шабати
+- Воскресенье — Квира
+
+Тут забавно, что слово неделя, означает “эрти квира”, то есть одно
+воскресенье.
+
+** Время
+- Час — Саати
+- Минута — Цути
+- Эрти цути — одну минуту (когда просите подождать таксиста/кассира или
+  курьера, доставая деньги)
+
+** Цвета
+- Белый — Тетри
+- Черный — Шави
+- Зеленый — Мцване
+- Красный — Цитэли
+  
+** В транспорте, ориентация на местности
+- Здесь — ак
+- Там — ик
+- Здесь остановите  — ак гаачэрэт
+- Там остановите — ик гаачэрэт
+- Остановите на остановке — Гаачэрэт гачэрэбазэ
+- Прямо — Пирдапир
+- Налево — Марцхнив
+- Направо — Марджвнив
+- Назад — Укан
+- Где находится? — Сад аарис? 
+- Остановка автобуса — Автобусис гаачэрэба
+- Станция метро — Мэтрос садгури 
+- Ресторан — Ресторани
+- Туалет — Туалэти
+
+** На рынке, в магазине
+- Сколько стоит? — Рамэнди гхирс? 
+- Немного (чуть-чуть) — Цота-цота
+- Диди — Большой
+- Патара — Маленький
+- Минда — Хочу, надо. Например: Мне нужны огурцы — Китри минда
+- Ар минда — Не хочу, не надо. Например: Пакет не нужен, спасибо — Парки ар минда, мадлоба
+- Килограмм — Кило
+- Полкило — Нахевари кило
+- Полтора килограмма  — Килонахевари
+
+** Продукты
+- Хлеб — Пури
+- Молоко — Рдзэ (название стало мемом в интернете, если перевернуть упаковку, то это будет выглядеть, как “СРУ”)
+- Яйцо — Квэрцхи
+- Мясо — Хорци
+- Соль — Марили
+- Сахар — Шакари (Сахар нужен – Шакари минда)
+- Сыр — Квэли
+- Грецкие орехи — Нигози
+- Зелень — Мцваанили
+- Огурец — Китри
+- Помидор — Помидори
+- Баклажан — Бадриджани
+- Картофель — Картопили
+- Морковь — Стапило
+- Грибы — Соко
+
+** В Кафе, в ресторане
+- Кофе — Кава
+- Кофе с сахаром — Кава шакарит
+- Чай — Чаи (Черный чай — Шави чаи, Зеленый чай — Мцване чаи)
+- Вино —  Гвино
+- Пиво —  Луди (Темное пиво – Шави луди)
+- Вода  —  Цхали. Например: Эрти цхали тушэидзлэба — Одну воду, будьте добры
+- Счет, пожалуйста —  Ангариши, тушэидзлэба
+- Картой (если хотите оплатить счет банковской картой) — Баратит (ТБС барати, Сакартвелос барати)
Index: content/digarden/20221102165518-нотации_языков_программирования.org
===================================================================
--- content/digarden/20221102165518-нотации_языков_программирования.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
+++ content/digarden/20221102165518-нотации_языков_программирования.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
@@ -0,0 +1,6 @@
+:PROPERTIES:
+:ID:       18b8111f-d3c5-4cc8-9991-c90761142384
+:END:
+#+title: Нотации языков программирования
+* Нотации языков программирования
+- [[id:242b8b55-eef9-4812-b571-9ed5b443f5fc][Обратная польская нотация]]
Index: content/digarden/20221102165750-обратная_польская_нотация.org
===================================================================
--- content/digarden/20221102165750-обратная_польская_нотация.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
+++ content/digarden/20221102165750-обратная_польская_нотация.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
@@ -0,0 +1,10 @@
+:PROPERTIES:
+:ID:       242b8b55-eef9-4812-b571-9ed5b443f5fc
+:END:
+#+title: Обратная польская нотация
+* Обратная польская нотация
+
+** Использование
+- Калькуляторы
+- Стековые машины и язык Forth  
+- Emacs calc
Index: content/donate.org
===================================================================
--- content/donate.org	(revision 2427b631ce2b75e2116ec0bf0eb3018a3b6892f1)
+++ content/donate.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
@@ -12,4 +12,5 @@
 <div class="navbar">
   <a href="https://liberapay.com/w96k/">Donate via Liberapay</a>
+  <a href="https://patreon.com/w96k/">Donate via Patreon</a>
 </div>
 #+END_EXPORT
Index: content/sitemap.org
===================================================================
--- content/sitemap.org	(revision 2427b631ce2b75e2116ec0bf0eb3018a3b6892f1)
+++ content/sitemap.org	(revision 478486978fddbcda0ba41868c85bccb2ee7afa58)
@@ -468,2 +468,3 @@
   - [[file:digarden/20221023000244-elf.org][Elf]]
   - [[file:digarden/20221023004637-errata.org][Errata]]
+  - [[file:digarden/20221024145206-актор.org][Актор]]